#include <stdio.h>
#include <stdlib.h>

int da_li_Perica_prolazi(int H[], int N,int L){
    for(int i = 1; i <= N; i++){
        if(H[i] < L || H[i] == L)
        return i;
    }

    return -1;
}

int main() {
    int N,L;
    scanf("%d %d",&N,&L);
    int H[N];
    for(int i = 1; i <= N; i++)
        scanf("%d",&H[i]);
        printf("%d",da_li_Perica_prolazi(H,N,L));
    return 0;
}